<template>
  <div id="app">
    <at-menu mode="horizontal">
      <div class="container">
        <div class="right">
          <at-menu-item name="login" :to="{ name: 'login' }"><i class="icon icon-user"></i>Login</at-menu-item>
          <at-menu-item name="register" :to="{ name: 'register' }">Register</at-menu-item>
        </div>
      </div>
    </at-menu>
    <div class="content">
      <router-view/>
    </div>
  </div>
</template>

<style lang="scss">
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

.right {
  float: right;
}

.content {
  width: 100%;
  height: calc(100vh - 48px);
  overflow: auto;
  display: flex;
}

</style>
